Construct the async HTTP client.

- « Swoole\Http\Client::close

- Swoole\Http\Client::__destruct »

- PHP Manual
- Swoole\Http\Client
- Construct the async HTTP client.

# Swoole\Http\Client::__construct

(PECL swoole >= 1.9.0)

Swoole\Http\Client::__construct — Construct the async HTTP client.

### Description

public Swoole\Http\Client::__construct(string `$host`, string `$port` = ?, bool `$ssl` = ?)

### Parameters

`host`

  The hostname of the remote host.

`port`

  The port number of the remote host.

`ssl`

  Whether to enable SSL.